Retrieve the status of detection alert migrations

deprecated
Server: https://{kibana_url}
  • GET /api/detection_engine/signals/migration_status
  • GET /s/{space_id}/api/detection_engine/signals/migration_status

Refer to Spaces for more information.

DEPRECATED. This endpoint was used for historical .siem-signals-* index migration workflows. Do not use for new automations; there is no supported replacement in this public API. WARNING: Prefer upgrading through supported Elastic stack upgrades rather than ad-hoc index migrations.

Retrieves indices that contain detection alerts of a particular age, along with migration information for each of those indices.

Query Parameters

from string required

Maximum age of qualifying detection alerts

Responses